Get campaign stats
curl --request GET \
--url https://api-tbi.boost.xyz/v1/campaigns/{campaignId}/statsimport requests
url = "https://api-tbi.boost.xyz/v1/campaigns/{campaignId}/stats"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-tbi.boost.xyz/v1/campaigns/{campaignId}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": {
"chainId": 123,
"campaignIndex": 4503599627370495
},
"tvl": "<string>",
"participants": 4503599627370495,
"rewardsDistributed": "<string>",
"rewardsRemaining": "<string>",
"boostApyBps": "<string>",
"protocolApyBps": "<string>"
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}Campaigns
Get campaign stats
Stats-only campaign payload for polling without refetching campaign metadata.
GET
/
v1
/
campaigns
/
{campaignId}
/
stats
Get campaign stats
Headers
Optional partner attribution reference ID. Values are manually assigned by Boost and must be at most 128 characters.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Path Parameters
Campaign ID in chainId:campaignIndex form, for example 480:1.
Pattern:
^\d+:\d+$Response
Campaign stats
Show child attributes
Show child attributes
Pattern:
^(0|[1-9]\d*)$Required range:
0 <= x <= 9007199254740991Pattern:
^(0|[1-9]\d*)$Pattern:
^(0|[1-9]\d*)$Pattern:
^(0|[1-9]\d*)$Pattern:
^(0|[1-9]\d*)$